logilab-common #269904 new test failures under release logilab-common-0.62.1 [waiting feedback]

Under py2.7 3.3 3.4

==================== unittest_configuration.py =====================
.........F.......
======================================================================
FAIL: test_option_order (unittest_configuration.ConfigurationTC)
Check that options are taken into account in the command line order
----------------------------------------------------------------------
Traceback (most recent call last)
File "/usr/lib64/python2.7/site-packages/logilab/common/testlib.py", line 664, in _proceed
testfunc(*args, **kwargs)
File "/mnt/gen2/TmpDir/portage/dev-python/logilab-common-0.62.1/work/logilab-common-0.62.1-python2_7/build/test/lib/logilab_common-0.62.1-py2.7.egg/logilab/common/test/unittest_configuration.py", line 169, in test_option_order
self.assertEqual(self.cfg['value'], 'tata')
File "/usr/lib64/python2.7/unittest/case.py", line 513, in assertEqual
assertion_func(first, second, msg=msg)
File "/usr/lib64/python2.7/unittest/case.py", line 506, in _baseAssertEqual
raise self.failureException(msg)
AssertionError: 'toto' != 'tata'

no stdout
no stderr

Also under py3.4

========================= unittest_date.py =========================
.......................unhandled exception occurred while testing unittest_date
Traceback (most recent call last):
File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 550, in quiet_run
func(*args, **kwargs)
File "/mnt/gen2/TmpDir/portage/dev-python/logilab-common-0.62.1/work/logilab-common-0.62.1-python3_4/build/test/lib/logilab_common-0.62.1-py3.4.egg/logilab/common/test/unittest_date.py", line 160, in setUp
self.check_mx()
File "/mnt/gen2/TmpDir/portage/dev-python/logilab-common-0.62.1/work/logilab-common-0.62.1-python3_4/build/test/lib/logilab_common-0.62.1-py3.4.egg/logilab/common/test/unittest_date.py", line 157, in check_mx
self.skipTest('mx.DateTime is not installed')
File "/usr/lib64/python3.4/unittest/case.py", line 638, in skipTest
raise SkipTest(reason)
unittest.case.SkipTest: mx.DateTime is not installed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 1134, in _ts_wrapped_run
test(result, runcondition, options)
File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 586, in __call__
if not self.quiet_run(result, self.setUp):
File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 554, in quiet_run
self._addSkip(result, str(e))
TypeError: _addSkip() missing 1 required positional argument: 'reason'

which has already been filed in another bug months ago.

and

3 of the 4 tests in unittest_umessage.py also still fail.

prioritynormal
typebug
done in<not specified>
closed by<not specified>